---
updatedAt: 2026-06-04T15:58:44.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get a Block by Number or Hash

Get a block and all its transactions by a user-defined block number or block hash. 

Use `-1` or `current` parameter to return the current block.


<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: determined by block size (bytes)
</Callout>

***

> 🚧 Truncation Info
>
> For responses that have big numbers (such as in transfer amounts from blockchain transactions), truncation might be applied from Javascript’s native JSON parser.
>
> To avoid this behavior, we recommend using a library such as [`json-bigint`](https://github.com/sidorares/json-bigint) or [`lossless-json`](https://github.com/josdejong/lossless-json)

***

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
  	width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px; /* Approx height for 5 rows */
    overflow-y: scroll; /* Always show scrollbar */
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  /* Tooltip styles */
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  /* Only two colors: white and light gray */
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff; /* white */
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5; /* light gray */
  }

  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34; /* dark gray */
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66; /* lighter gray */
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
<thead>
  <tr>
    <th>Protocol</th>
    <th>Network</th>
    <th>Path Parameter</th>
    <th>Get Block By</th>
  </tr>
</thead>
<tbody>
  <tr class="protocol-group-odd">
    <td rowspan="1">Algorand</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">algorand/mainnet</code></td>
    <td>block number</td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Avalanche</td>
    <td>Mainnet-c</td>
    <td><code class="copyable-code">avalanche/mainnet-c</code></td>
    <td rowspan="2">block number or hash</td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet-c</td>
    <td><code class="copyable-code">avalanche/testnet-c</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin/mainnet</code></td>
    <td rowspan="3">block number or hash</td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin/testnet4</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash/mainnet</code></td>
    <td rowspan="2">block number or hash</td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Dogecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">dogecoin/mainnet</code></td>
    <td rowspan="2">block number or hash</td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">dogecoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="3">Ethereum</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">ethereum/mainnet</code></td>
    <td rowspan="3">block number or hash</td>
  </tr>
  <tr class="protocol-group-even">
    <td>Sepolia</td>
    <td><code class="copyable-code">ethereum/sepolia</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Hoodi</td>
    <td><code class="copyable-code">ethereum/hoodi</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin/mainnet</code></td>
    <td rowspan="2">block number or hash</td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="1">Near</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">near/mainnet</code></td>
    <td>block number or hash</td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="1">Optimism</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">optimism/mainnet</code></td>
    <td>block number or hash</td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Polkadot</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polkadot/mainnet</code></td>
    <td rowspan="2">block number or hash</td>
  </tr>
  <tr class="protocol-group-even">
    <td>Westend</td>
    <td><code class="copyable-code">polkadot/westend</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Polygon</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polygon/mainnet</code></td>
    <td rowspan="2">block number or hash</td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Amoy</td>
    <td><code class="copyable-code">polygon/amoy</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="3">Solana</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">solana/mainnet</code></td>
    <td rowspan="3">block number</td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">solana/testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Devnet</td>
    <td><code class="copyable-code">solana/devnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Stellar</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">stellar/mainnet</code></td>
    <td rowspan="2">block number</td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">stellar/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Tron</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">tron/mainnet</code></td>
    <td rowspan="2">block number or hash</td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Nile</td>
    <td><code class="copyable-code">tron/nile</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">XRP</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">xrp/mainnet</code></td>
    <td rowspan="2">block number or hash</td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code" title="Click to copy">xrp/testnet</code></td>
  </tr>
</tbody>


    </table>
  </div>
</div>
</body>
</html>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0.0",
    "title": "Blockdaemon REST API",
    "description": "Blockdaemon REST API provides a RESTful and uniform way to access blockchain resources,\nwith a rich and reusable model across multiple protocols/cryptocurrencies.\n\n[Documentation](https://docs.blockdaemon.com/reference/rest-api-overview)\n\n### Currently supported protocols:\n\n* algorand\n  * mainnet\n* avalanche \n  * mainnet-c/testnet-c\n* bitcoin\n  * mainnet/testnet/testnet4\n* bitcoincash\n  * mainnet/testnet\n* dogecoin\n  * mainnet/testnet\n* ethereum\n  * mainnet/holesky/sepolia/hoodi\n* litecoin\n  * mainnet/testnet\n* near\n  * mainnet\n* optimism\n  * mainnet\n* polkadot\n  * mainnet/westend\n* polygon\n  * mainnet/amoy\n* solana\n  * mainnet/testnet\n* stellar\n  * mainnet/testnet\n* tezos\n  * mainnet\n* tron\n  * mainnet/nile\n* xrp\n  * mainnet\n\n### Pagination\nCertain resources contain a lot of data, more than what's practical\nto return for a single request.\nWith the help of pagination, the data is split across multiple responses.\nEach response returns a subset of the items requested, and a continuation token.\n\nTo get the next batch of items, copy the returned continuation token\nto the continuation query parameter and repeat the request with the new URL.\nIn case no continuation token is returned, there is no more data available.\n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ]
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/universal/{version}",
      "description": "Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    },
    {
      "url": "https://ubiquity.api.blockdaemon.com/{version}",
      "description": "[Legacy Auth] Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Blocks"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{protocol}/{network}/block/{block_identifier}": {
      "get": {
        "summary": "Get a Block by Number or Hash",
        "description": "Get a block and all its transactions by a user-defined block number or block hash. \n\nUse `-1` or `current` parameter to return the current block.\n",
        "operationId": "GetBlockByNumber",
        "tags": [
          "Blocks"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/protocol"
          },
          {
            "$ref": "#/components/parameters/network"
          },
          {
            "$ref": "#/components/parameters/block_identifier"
          }
        ],
        "responses": {
          "200": {
            "description": "Block",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/block"
                },
                "example": {
                  "number": 700000,
                  "id": "0000000000000000000590fc0f3eba193a278534220b2b37e9849e1a770ca959",
                  "parent_id": "0000000000000000000aa3ce000eb559f4143be419108134e0ce71042fc636eb",
                  "date": 1631333672,
                  "num_txs": 1276,
                  "txs": [
                    {
                      "id": "1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46",
                      "block_id": "0000000000000000000590fc0f3eba193a278534220b2b37e9849e1a770ca959",
                      "date": 1631333672,
                      "status": "completed",
                      "num_events": 4,
                      "meta": {
                        "vsize": 285
                      },
                      "events": [
                        {
                          "id": "input-1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46-coinbase",
                          "transaction_id": "1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46",
                          "type": "utxo_input",
                          "denomination": "BTC",
                          "source": "coinbase",
                          "date": 1631333672,
                          "amount": 640388640,
                          "decimals": 8
                        },
                        {
                          "id": "1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46-0",
                          "transaction_id": "1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "bc1q7wedv4zdu5smt3shljpu5mgns48jn299mukymc",
                          "meta": {
                            "addresses": [
                              "bc1q7wedv4zdu5smt3shljpu5mgns48jn299mukymc"
                            ],
                            "index": 0,
                            "script": "0014f3b2d6544de521b5c617fc83ca6d13854f29a8a5",
                            "script_type": "witness_v0_keyhash"
                          },
                          "date": 1631333672,
                          "amount": 640388640,
                          "decimals": 8
                        },
                        {
                          "id": "1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46-1",
                          "transaction_id": "1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "unknown",
                          "meta": {
                            "index": 1,
                            "script": "6a24aa21a9ed7236104716135a92521f30c820abfa7701c022b14087d8cba26377f6eb4528ed",
                            "script_type": "nulldata"
                          },
                          "date": 1631333672,
                          "amount": 0,
                          "decimals": 8
                        },
                        {
                          "id": "1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46-2",
                          "transaction_id": "1d8149eb8d8475b98113b5011cf70e0b7a4dccff71286d28b8b4b641f94f1e46",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "unknown",
                          "meta": {
                            "index": 2,
                            "script": "6a24b9e11b6dc5b9ad3697607ac5b38843e47f087533645552c98f0ce8703d53efc1400aec87",
                            "script_type": "nulldata"
                          },
                          "date": 1631333672,
                          "amount": 0,
                          "decimals": 8
                        }
                      ]
                    },
                    {
                      "id": "ed25927576988e38e4cc8e4b19d1272c480f113fb605271b190df05aa983714e",
                      "block_id": "0000000000000000000590fc0f3eba193a278534220b2b37e9849e1a770ca959",
                      "date": 1631333672,
                      "status": "completed",
                      "num_events": 4,
                      "meta": {
                        "vsize": 190
                      },
                      "events": [
                        {
                          "id": "input-628607ab6e7d55eb402b44ab6c6102b096889466ff738ae88ee433b71cdf57f0-1",
                          "transaction_id": "ed25927576988e38e4cc8e4b19d1272c480f113fb605271b190df05aa983714e",
                          "type": "utxo_input",
                          "denomination": "BTC",
                          "source": "bc1qwqdg6squsna38e46795at95yu9atm8azzmyvckulcc7kytlcckxswvvzej",
                          "meta": {
                            "addresses": [
                              "bc1qwqdg6squsna38e46795at95yu9atm8azzmyvckulcc7kytlcckxswvvzej"
                            ],
                            "index": 1,
                            "script": "0020701a8d401c84fb13e6baf169d59684e17abd9fa216c8cc5b9fc63d622ff8c58d",
                            "script_type": "witness_v0_scripthash"
                          },
                          "date": 1631333672,
                          "amount": 383459,
                          "decimals": 8
                        },
                        {
                          "id": "ed25927576988e38e4cc8e4b19d1272c480f113fb605271b190df05aa983714e-0",
                          "transaction_id": "ed25927576988e38e4cc8e4b19d1272c480f113fb605271b190df05aa983714e",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "3NL8PD5zsy8Xp396E951C5UuFVtK6dAJNt",
                          "meta": {
                            "addresses": [
                              "3NL8PD5zsy8Xp396E951C5UuFVtK6dAJNt"
                            ],
                            "index": 0,
                            "script": "a914e2674c704f478f20a18282eb00cb5a4b4bd6fe8987",
                            "script_type": "scripthash"
                          },
                          "date": 1631333672,
                          "amount": 109000,
                          "decimals": 8
                        },
                        {
                          "id": "ed25927576988e38e4cc8e4b19d1272c480f113fb605271b190df05aa983714e-1",
                          "transaction_id": "ed25927576988e38e4cc8e4b19d1272c480f113fb605271b190df05aa983714e",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "bc1qwqdg6squsna38e46795at95yu9atm8azzmyvckulcc7kytlcckxswvvzej",
                          "meta": {
                            "addresses": [
                              "bc1qwqdg6squsna38e46795at95yu9atm8azzmyvckulcc7kytlcckxswvvzej"
                            ],
                            "index": 1,
                            "script": "0020701a8d401c84fb13e6baf169d59684e17abd9fa216c8cc5b9fc63d622ff8c58d",
                            "script_type": "witness_v0_scripthash"
                          },
                          "date": 1631333672,
                          "amount": 224459,
                          "decimals": 8
                        },
                        {
                          "id": "ed25927576988e38e4cc8e4b19d1272c480f113fb605271b190df05aa983714e-fee",
                          "transaction_id": "ed25927576988e38e4cc8e4b19d1272c480f113fb605271b190df05aa983714e",
                          "type": "fee",
                          "denomination": "BTC",
                          "date": 1631333672,
                          "amount": 50000,
                          "decimals": 8
                        }
                      ]
                    },
                    {
                      "id": "b2b8328e5e7af3f17449109b449517cc6641b7a1a525e0c1d019cda078ee03be",
                      "block_id": "0000000000000000000590fc0f3eba193a278534220b2b37e9849e1a770ca959",
                      "date": 1631333672,
                      "status": "completed",
                      "num_events": 4,
                      "meta": {
                        "vsize": 216
                      },
                      "events": [
                        {
                          "id": "input-5e2df44cccd4e005976e630b31b576ece48bd4c62771dd98fa159e481f7cc7bf-0",
                          "transaction_id": "b2b8328e5e7af3f17449109b449517cc6641b7a1a525e0c1d019cda078ee03be",
                          "type": "utxo_input",
                          "denomination": "BTC",
                          "source": "37EocSqEb5W5LgRSTUPNwbqLxx13rkk4B3",
                          "meta": {
                            "addresses": [
                              "37EocSqEb5W5LgRSTUPNwbqLxx13rkk4B3"
                            ],
                            "index": 0,
                            "script": "a9143cdba981967fc67d09e7b0463aa6131c696ac22987",
                            "script_type": "scripthash"
                          },
                          "date": 1631333672,
                          "amount": 21745248,
                          "decimals": 8
                        },
                        {
                          "id": "b2b8328e5e7af3f17449109b449517cc6641b7a1a525e0c1d019cda078ee03be-0",
                          "transaction_id": "b2b8328e5e7af3f17449109b449517cc6641b7a1a525e0c1d019cda078ee03be",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "33TwHJfEa8s31tRzv9C6MuTdqcjCe8SpZr",
                          "meta": {
                            "addresses": [
                              "33TwHJfEa8s31tRzv9C6MuTdqcjCe8SpZr"
                            ],
                            "index": 0,
                            "script": "a9141376f815c74fff262b5475e6046b10060dee3d5c87",
                            "script_type": "scripthash"
                          },
                          "date": 1631333672,
                          "amount": 19695248,
                          "decimals": 8
                        },
                        {
                          "id": "b2b8328e5e7af3f17449109b449517cc6641b7a1a525e0c1d019cda078ee03be-1",
                          "transaction_id": "b2b8328e5e7af3f17449109b449517cc6641b7a1a525e0c1d019cda078ee03be",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "15oQugCurUmWrnbp9EMiaBVYCPfdFqNXiA",
                          "meta": {
                            "addresses": [
                              "15oQugCurUmWrnbp9EMiaBVYCPfdFqNXiA"
                            ],
                            "index": 1,
                            "script": "76a91434a7984e2c46e0011ffe5fccbcba314c64d857d788ac",
                            "script_type": "pubkeyhash"
                          },
                          "date": 1631333672,
                          "amount": 2000000,
                          "decimals": 8
                        },
                        {
                          "id": "b2b8328e5e7af3f17449109b449517cc6641b7a1a525e0c1d019cda078ee03be-fee",
                          "transaction_id": "b2b8328e5e7af3f17449109b449517cc6641b7a1a525e0c1d019cda078ee03be",
                          "type": "fee",
                          "denomination": "BTC",
                          "date": 1631333672,
                          "amount": 50000,
                          "decimals": 8
                        }
                      ]
                    },
                    {
                      "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                      "block_id": "0000000000000000000590fc0f3eba193a278534220b2b37e9849e1a770ca959",
                      "date": 1631333672,
                      "status": "completed",
                      "num_events": 9,
                      "meta": {
                        "vsize": 329
                      },
                      "events": [
                        {
                          "id": "input-fd0d35482ceec95f95f3fe43c53e362320eef1ad0d93ef03f1c0d68baf9f865f-7",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "utxo_input",
                          "denomination": "BTC",
                          "source": "39XpoaixBAbUZzaq7g73tmvogBw6rGv8JP",
                          "meta": {
                            "addresses": [
                              "39XpoaixBAbUZzaq7g73tmvogBw6rGv8JP"
                            ],
                            "index": 7,
                            "script": "a9145603fae6c89d482d518bc8c42d77cc3ddc01a7de87",
                            "script_type": "scripthash"
                          },
                          "date": 1631333672,
                          "amount": 161244546,
                          "decimals": 8
                        },
                        {
                          "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6-0",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "36teKbgRKkQx35q1BMAdN9HiJEsVAAEwmP",
                          "meta": {
                            "addresses": [
                              "36teKbgRKkQx35q1BMAdN9HiJEsVAAEwmP"
                            ],
                            "index": 0,
                            "script": "a914390b966d0a20b2fb889cb5f8c059117edd4736c187",
                            "script_type": "scripthash"
                          },
                          "date": 1631333672,
                          "amount": 559734,
                          "decimals": 8
                        },
                        {
                          "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6-1",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "1BbLcnmH3VBdUALJArUHgoCk4JN3gSMvxm",
                          "meta": {
                            "addresses": [
                              "1BbLcnmH3VBdUALJArUHgoCk4JN3gSMvxm"
                            ],
                            "index": 1,
                            "script": "76a914742fc6a9d75b42c0a8db6ab27143c361e93bf31c88ac",
                            "script_type": "pubkeyhash"
                          },
                          "date": 1631333672,
                          "amount": 516198,
                          "decimals": 8
                        },
                        {
                          "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6-2",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "3Lk6Di4eoDCs5RjZkFi5sbYBELxfjXP8Vn",
                          "meta": {
                            "addresses": [
                              "3Lk6Di4eoDCs5RjZkFi5sbYBELxfjXP8Vn"
                            ],
                            "index": 2,
                            "script": "a914d0ff394e8c9b4f424770bfd5101bc95fc1271d7187",
                            "script_type": "scripthash"
                          },
                          "date": 1631333672,
                          "amount": 569485,
                          "decimals": 8
                        },
                        {
                          "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6-3",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "18FyePUmMfLsW7oYrPFH4MvZhBBZFL8Ngv",
                          "meta": {
                            "addresses": [
                              "18FyePUmMfLsW7oYrPFH4MvZhBBZFL8Ngv"
                            ],
                            "index": 3,
                            "script": "76a9144f9dfd0de62f42187491a3c7087f766c6eca381688ac",
                            "script_type": "pubkeyhash"
                          },
                          "date": 1631333672,
                          "amount": 585475,
                          "decimals": 8
                        },
                        {
                          "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6-4",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "bc1q5zepe53k52k924ny0nlfjqq0z0allga5x29s8u",
                          "meta": {
                            "addresses": [
                              "bc1q5zepe53k52k924ny0nlfjqq0z0allga5x29s8u"
                            ],
                            "index": 4,
                            "script": "0014a0b21cd236a2ac5556647cfe99000f13fbffa3b4",
                            "script_type": "witness_v0_keyhash"
                          },
                          "date": 1631333672,
                          "amount": 606841,
                          "decimals": 8
                        },
                        {
                          "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6-5",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "3MEszGNau7vWTuR67sMMmTEazbbyioLnFJ",
                          "meta": {
                            "addresses": [
                              "3MEszGNau7vWTuR67sMMmTEazbbyioLnFJ"
                            ],
                            "index": 5,
                            "script": "a914d671138037e683f21aa47819a1a2013ac9baf40387",
                            "script_type": "scripthash"
                          },
                          "date": 1631333672,
                          "amount": 641151,
                          "decimals": 8
                        },
                        {
                          "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6-6",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "utxo_output",
                          "denomination": "BTC",
                          "destination": "39XpoaixBAbUZzaq7g73tmvogBw6rGv8JP",
                          "meta": {
                            "addresses": [
                              "39XpoaixBAbUZzaq7g73tmvogBw6rGv8JP"
                            ],
                            "index": 6,
                            "script": "a9145603fae6c89d482d518bc8c42d77cc3ddc01a7de87",
                            "script_type": "scripthash"
                          },
                          "date": 1631333672,
                          "amount": 157705662,
                          "decimals": 8
                        },
                        {
                          "id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6-fee",
                          "transaction_id": "9421c806a8f3fd46841241659637d75b944b42af61fabe7b9359349bc50d2ea6",
                          "type": "fee",
                          "denomination": "BTC",
                          "date": 1631333672,
                          "amount": 60000,
                          "decimals": 8
                        }
                      ]
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Invalid Block Identifier",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "responses": {
      "TooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "not-found",
              "title": "Not Found",
              "status": 404
            }
          }
        }
      },
      "UnauthorizedError": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ServerError": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      }
    },
    "schemas": {
      "block": {
        "type": "object",
        "description": "The block object.",
        "properties": {
          "number": {
            "type": "integer",
            "format": "int64",
            "description": "The block number.",
            "example": 8000000
          },
          "id": {
            "type": "string",
            "description": "The block hash.",
            "example": "0x123456070D674D44a7F9cb4Ab272bd88fAd004b5"
          },
          "parent_id": {
            "type": "string",
            "description": "The parent block hash.",
            "example": "0xfcf029ffd36a6714aae09dcc7acbdd8f2b96327f"
          },
          "date": {
            "type": "integer",
            "format": "int64",
            "description": "The block date in unix timestamp format.",
            "example": 1571222657
          },
          "num_txs": {
            "type": "integer",
            "description": "The amount of transaction in the block.",
            "example": 10
          },
          "txs": {
            "type": "array",
            "description": "A list of normalized transactions presented in the block (not filtered or unknown model).",
            "items": {
              "$ref": "#/components/schemas/tx"
            }
          }
        }
      },
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      },
      "event": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The event identifier."
          },
          "transaction_id": {
            "type": "string",
            "description": "The transaction identifer this event is presented."
          },
          "type": {
            "type": "string",
            "description": "The event type.",
            "example": "transfer"
          },
          "denomination": {
            "type": "string",
            "nullable": true,
            "description": "The Symbol of currency, can be natibe currency or token currency."
          },
          "destination": {
            "type": "string",
            "nullable": true,
            "example": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
            "description": "The destination address of the event."
          },
          "source": {
            "type": "string",
            "nullable": true,
            "description": "The source address of the event."
          },
          "meta": {
            "type": "object",
            "description": "Protocol specific data that doesn't fit into a standard model.",
            "properties": {
              "addresses": {
                "description": "A list of addresses.",
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "index": {
                "description": "The index number.",
                "type": "integer"
              },
              "script": {
                "description": "The script.",
                "type": "string"
              },
              "script_type": {
                "description": "The script type.",
                "type": "string"
              }
            }
          },
          "date": {
            "type": "integer",
            "format": "int64",
            "description": "The event date in unix timestamp format."
          },
          "amount": {
            "type": "integer",
            "nullable": true,
            "format": "bigint",
            "example": 5000000000,
            "description": "The coin amount transfered in the event."
          },
          "decimals": {
            "type": "integer",
            "nullable": true,
            "description": "The coin amount transfered in the event."
          }
        }
      },
      "tx": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique transaction identifier.",
            "example": "0xF00Fa860473130C1df10707223E66Cb4B839B165"
          },
          "block_id": {
            "type": "string",
            "description": "Block hash if mined, otherwise omitted.",
            "example": "0xaf2948aba2ed8cc7d5b7d4e4f4164a7c8819efc94d30aab3fce6904df68dbc07",
            "nullable": true
          },
          "date": {
            "type": "integer",
            "format": "int64",
            "description": "The transaction creation unix timestamp.",
            "example": 1571222657
          },
          "status": {
            "type": "string",
            "description": "Result status of the transaction.",
            "enum": [
              "completed",
              "failed"
            ]
          },
          "num_events": {
            "type": "integer",
            "description": "List of transaction events."
          },
          "meta": {
            "type": "object",
            "description": "Protocol specific data that doesn't fit into a standard model."
          },
          "block_number": {
            "type": "integer",
            "description": "Block number if mined, otherwise omitted.",
            "example": 789387,
            "nullable": true
          },
          "confirmations": {
            "type": "integer",
            "description": "Total transaction confirmations."
          },
          "events": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/event"
            },
            "nullable": true
          },
          "assets": {
            "type": "array",
            "description": "List of moved assets by asset path. Find all the asset paths on this [page](https://docs.blockdaemon.com/reference/available-currencies-and-tokens).",
            "uniqueItems": true,
            "items": {
              "type": "string",
              "example": "ethereum/native/eth"
            },
            "nullable": true
          },
          "nonce": {
            "type": "integer",
            "description": "The nonce of the transaction."
          }
        }
      }
    },
    "parameters": {
      "protocol": {
        "in": "path",
        "name": "protocol",
        "required": true,
        "description": "Protocol handle, one of: \n`algorand`, `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`, `litecoin`, `near`, `optimism`, `polkadot`, `polygon`, `solana`, `stellar`, `tezos`, `xrp`.\n",
        "schema": {
          "type": "string",
          "default": "bitcoin"
        },
        "examples": {
          "Bitcoin": {
            "value": "bitcoin"
          }
        }
      },
      "network": {
        "name": "network",
        "in": "path",
        "required": true,
        "description": "Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}.",
        "schema": {
          "type": "string",
          "default": "mainnet"
        },
        "examples": {
          "Mainnet": {
            "value": "mainnet"
          },
          "Mainnet-C": {
            "value": "mainnet-c"
          },
          "Testnet": {
            "value": "testnet"
          },
          "Testnet4": {
            "value": "testnet4",
            "description": "Bitcoin testnet network"
          },
          "Testnet-C": {
            "value": "testnet-c"
          },
          "Holesky": {
            "value": "holesky",
            "description": "Ethereum testnet network"
          },
          "Hoodi": {
            "value": "hoodi",
            "description": "Ethereum testnet network"
          },
          "Sepolia": {
            "value": "sepolia",
            "description": "Ethereum testnet network"
          },
          "Westend": {
            "value": "westend",
            "description": "Polkadot testnet network"
          },
          "Amoy": {
            "value": "amoy",
            "description": "Polygon testnet network"
          }
        }
      },
      "block_identifier": {
        "name": "block_identifier",
        "in": "path",
        "required": true,
        "description": "The block identifier, hash or number.",
        "schema": {
          "type": "string",
          "default": "0000000000000000000590fc0f3eba193a278534220b2b37e9849e1a770ca959"
        },
        "examples": {
          "Block_hash": {
            "value": "0000000000000000000590fc0f3eba193a278534220b2b37e9849e1a770ca959"
          },
          "Block_number": {
            "value": "100000"
          }
        }
      }
    }
  }
}
```